org.richfaces.el

## Class ValueExpressionAnalayserImpl

- java.lang.Object
- - org.richfaces.el.ValueExpressionAnalayserImpl

- All Implemented Interfaces:
    org.richfaces.el.ValueExpressionAnalayser

      public class ValueExpressionAnalayserImpl
      extends Object
      implements org.richfaces.el.ValueExpressionAnalayser

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueExpressionAnalayserImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.el.ValueDescriptor` | `getPropertyDescriptor(javax.faces.context.FacesContext context, javax.el.ValueExpression expression)`
    `org.richfaces.el.ValueDescriptor` | `updateValueAndGetPropertyDescriptor(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueExpressionAnalayserImpl

          public ValueExpressionAnalayserImpl()

  - ### Method Detail

    - #### getPropertyDescriptor

          public org.richfaces.el.ValueDescriptor getPropertyDescriptor(javax.faces.context.FacesContext context,
                                                               javax.el.ValueExpression expression)
                                                                 throws javax.el.ELException

      Specified by:
        `getPropertyDescriptor` in interface `org.richfaces.el.ValueExpressionAnalayser`
      Throws:
        `javax.el.ELException`

    - #### updateValueAndGetPropertyDescriptor

          public org.richfaces.el.ValueDescriptor updateValueAndGetPropertyDescriptor(javax.faces.context.FacesContext context,
                                                                             javax.el.ValueExpression expression,
                                                                             Object newValue)
                                                                               throws javax.el.ELException

      Specified by:
        `updateValueAndGetPropertyDescriptor` in interface `org.richfaces.el.ValueExpressionAnalayser`
      Throws:
        `javax.el.ELException`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.